Subject: Re: bug#77803: [PATCH v2] Don't indent variable names to their declarator expression (bug#77803)

From: Konstantin Kharlamov <[email-masked]>
Date: Sun, 20 Apr 2025 08:27:13 +0300

On Sun, 2025-04-20 at 08:23 +0300, Konstantin Kharlamov wrote:
> On Sun, 2025-04-20 at 03:38 +0300, Dmitry Gutov wrote:
> > On 20/04/2025 01:58, Konstantin Kharlamov wrote:
> > 
> > > > https://github.com/mooz/js2-mode/issues/1 is when it was added,
> > > > then
> > > > see
> > > > other reports in the tracker about refining it and adding
> > > > support
> > > > for
> > > > different cases.
> > > 
> > > Oooh… it seems to be a misunderstanding. The user wasn't asking
> > > to
> > > indent every declaration to the declarator (as it was in ts-tsx-
> > > mode
> > > and as it seems now in jsx-mode). The user pointed out the
> > > indentation
> > > wasn't working at all, and showed "expected indentation", where
> > > there
> > > are 4 spaces used; however it is an accident that 4 spaces are
> > > equal to
> > > "var" + space.
> > 
> > There were no protests from the user, and as I said, you can search
> > the 
> > tracker for other requests for refining this indentation method.
> > 
> > Or see https://debbugs.gnu.org/8576, for when this feature was
> > added
> > to 
> > js-mode.
> 
> I suspect there weren't protests because the declaration style may
> not
> be frequently used among web devs. Add to that that most people never
> bother reporting bugs for the problem they encounter; and then
> additionally that web-devs specifically from my personal experience
> frequently don't know/understand much beyond just web-devel
> (particularly, the understanding that open-source project problem is
> something you can report or maybe even fix — that frequently lacks
> even
> among usual devs, but in web-devel field it's like multiplied) — I
> think there's high chance the reason wrong "const" indentation wasn't
> reported, is just because no one bothered.

Sorry, forgot to add: I pinged both participants on the linked issue,
let's see what they say. I suspect though the OP may not reply, he had
no Github activity since 2023, and it was always scarce.